namespace Adapters.Driving.Api.Types.Professors;

using Domain.Entities;

[ObjectType<Professor>]
public static partial class ProfessorType
{
    [GraphQLDescription("Subjects taught by this professor")]
    public static IEnumerable<Subject> GetSubjects([Parent] Professor professor) =>
        professor.Subjects;
}
